icestorm2008 011.jpg=Bird feeder
icestorm2008 002.jpg=Sleet
icestorm2008 006.jpg=Donavan and Aggie in the snow (Greg's house)
icestorm2008 004.jpg=More sleet
icestorm2008 005.jpg=You can't really see the flakes very well, but they are there.
icestorm2008 009.jpg=Back deck with snow
icestorm2008 003.jpg=A little bit of sleet
icestorm2008 010.jpg=Back and neighboring yards
icestorm2008 007.jpg=Aggie
icestorm2008 008.jpg=My house with snow
